import request from '@/utils/request'

// 班级分页查询列表
export function classesList(query) {
  return request({
    url: '/business/Classes/getClassesList',
    method: 'get',
    params: query
  })
}

// 班级新增或修改
export function addOrUpdateClasses(data) {
  return request({
    url: '/business/Classes/addOrUpdateClasses',
    method: 'post',
    data: data,
  })
}

// 班级删除
export function delClasses(ids) {
  return request({
    url: '/business/Classes/'+ ids,
    method: 'delete'
  })
}

// 班级导出
export function exportClasses(query) {
  return request({
    url: 'business/Classes/exportClasses',
    method: 'get',
    params: query
  })
}

