import request from '@/utils/request'

// 测试配件分页查询列表
export function testPartsList(query) {
  return request({
    url: '/business/TestParts/getTestPartsList',
    method: 'get',
    params: query
  })
}

// 测试配件新增或修改
export function addOrUpdateTestParts(data) {
  return request({
    url: '/business/TestParts/addOrUpdateTestParts',
    method: 'post',
    data: data,
  })
}

// 测试配件删除
export function delTestParts(ids) {
  return request({
    url: '/business/TestParts/'+ ids,
    method: 'delete'
  })
}

// 测试配件导出
export function exportTestParts(query) {
  return request({
    url: 'business/TestParts/exportTestParts',
    method: 'get',
    params: query
  })
}

