import request from '@/utils/request'

// 基础字段模板分页查询列表
export function baseFiledTemplateList(query) {
  return request({
    url: '/business/BaseFiledTemplate/getBaseFiledTemplateList',
    method: 'get',
    params: query
  })
}

// 基础字段模板新增或修改
export function addOrUpdateBaseFiledTemplate(data) {
  return request({
    url: '/business/BaseFiledTemplate/addOrUpdateBaseFiledTemplate',
    method: 'post',
    data: data,
  })
}

// 基础字段模板删除
export function delBaseFiledTemplate(ids) {
  return request({
    url: '/business/BaseFiledTemplate/'+ ids,
    method: 'delete'
  })
}

// 基础字段模板导出
export function exportBaseFiledTemplate(query) {
  return request({
    url: 'business/BaseFiledTemplate/exportBaseFiledTemplate',
    method: 'get',
    params: query
  })
}

