import request from '@/utils/request'

// 项目配置分页查询列表
export function projectFilesList(query) {
  return request({
    url: '/business/ProjectFiles/getProjectFilesList',
    method: 'get',
    params: query
  })
}

// 项目配置新增或修改
export function addOrUpdateProjectFiles(data) {
  return request({
    url: '/business/ProjectFiles/addOrUpdateProjectFiles',
    method: 'post',
    data: data,
  })
}

// 项目配置删除
export function delProjectFiles(ids) {
  return request({
    url: '/business/ProjectFiles/'+ ids,
    method: 'delete'
  })
}

// 项目配置导出
export function exportProjectFiles(query) {
  return request({
    url: 'business/ProjectFiles/exportProjectFiles',
    method: 'get',
    params: query
  })
}

