import request from '@/utils/request'

// 项目分页查询列表
export function projectList(query) {
  return request({
    url: '/business/Project/getProjectList',
    method: 'get',
    params: query
  })
}

// 项目新增或修改
export function addOrUpdateProject(data) {
  return request({
    url: '/business/Project/addOrUpdateProject',
    method: 'post',
    data: data,
  })
}

// 项目删除
export function delProject(ids) {
  return request({
    url: '/business/Project/'+ ids,
    method: 'delete'
  })
}

// 项目导出
export function exportProject(query) {
  return request({
    url: 'business/Project/exportProject',
    method: 'get',
    params: query
  })
}

