import request from '@/utils/request'

// 项目分页查询列表
export function projectesList(query) {
  return request({
    url: '/business/Projectes/getProjectesList',
    method: 'get',
    params: query
  })
}

// 项目新增或修改
export function addOrUpdateProjectes(data) {
  return request({
    url: '/business/Projectes/addOrUpdateProjectes',
    method: 'post',
    data: data,
  })
}

// 项目删除
export function delProjectes(ids) {
  return request({
    url: '/business/Projectes/'+ ids,
    method: 'delete'
  })
}

// 项目导出
export function exportProjectes(query) {
  return request({
    url: 'business/Projectes/exportProjectes',
    method: 'get',
    params: query
  })
}

