import request from '@/utils/request'

// Tool客户分页查询列表
export function toolCustomerList(query) {
  return request({
    url: '/business/ToolCustomer/getToolCustomerList',
    method: 'get',
    params: query
  })
}

// Tool客户新增或修改
export function addOrUpdateToolCustomer(data) {
  return request({
    url: '/business/ToolCustomer/addOrUpdateToolCustomer',
    method: 'post',
    data: data,
  })
}

// Tool客户删除
export function delToolCustomer(ids) {
  return request({
    url: '/business/ToolCustomer/'+ ids,
    method: 'delete'
  })
}

// Tool客户导出
export function exportToolCustomer(query) {
  return request({
    url: 'business/ToolCustomer/exportToolCustomer',
    method: 'get',
    params: query
  })
}

