import request from '@/utils/request'

/**
* 测试类型树形查询列表
* @param {查询条件} data
*/
export function testTypeTreeList(query) {
  return request({
    url: '/business/TestType/getTestTypeTreeList',
    method: 'get',
    params: query
  })
}

// 测试类型新增或修改
export function addOrUpdateTestType(data) {
  return request({
    url: '/business/TestType/addOrUpdateTestType',
    method: 'post',
    data: data,
  })
}

// 测试类型删除
export function delTestType(ids) {
  return request({
    url: '/business/TestType/'+ ids,
    method: 'delete'
  })
}

// 测试类型导出
export function exportTestType(query) {
  return request({
    url: 'business/TestType/exportTestType',
    method: 'get',
    params: query
  })
}

