import request from '@/utils/request'

// 测试分页查询列表
export function testdList(query) {
  return request({
    url: '/business/Testd/getTestdList',
    method: 'get',
    params: query
  })
}

// 测试未绑定分页列表
export function getTestdListWithOutBind(query) {
  return request({
    url: '/business/Testd/getTestdListWithOutBind',
    method: 'get',
    params: query
  })
}

// 测试新增或修改
export function addOrUpdateTestd(data) {
  return request({
    url: '/business/Testd/addOrUpdateTestd',
    method: 'post',
    data: data,
  })
}

// 测试删除
export function delTestd(ids) {
  return request({
    url: '/business/Testd/'+ ids,
    method: 'delete'
  })
}

// 测试导出
export function exportTestd(query) {
  return request({
    url: 'business/Testd/exportTestd',
    method: 'get',
    params: query
  })
}

